[tool.black]
exclude = '''

(
  /(
    .data
    | .vscode
    | lib
  )/
)
'''

[tool.pyright]
exclude = ['lib']
extraPaths = ['lib/python', 'lib/jedilsp']
ignore = [
    # Ignore all pre-existing code with issues
    'get-pip.py',
    'install_debugpy.py',
    'tensorboard_launcher.py',
    'testlauncher.py',
    'visualstudio_py_testlauncher.py',
    'testing_tools/unittest_discovery.py',
    'testing_tools/adapter/util.py',
    'testing_tools/adapter/pytest/_discovery.py',
    'testing_tools/adapter/pytest/_pytest_item.py',
    'tests/debug_adapter/test_install_debugpy.py',
    'tests/testing_tools/adapter/.data',
    'tests/testing_tools/adapter/test___main__.py',
    'tests/testing_tools/adapter/test_discovery.py',
    'tests/testing_tools/adapter/test_functional.py',
    'tests/testing_tools/adapter/test_report.py',
    'tests/testing_tools/adapter/test_util.py',
    'tests/testing_tools/adapter/pytest/test_cli.py',
    'tests/testing_tools/adapter/pytest/test_discovery.py',
]
